function [ ] = sobelise( )
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here
titlestr = sprintf('Choose RGB Image to Load');
file=uigetfile({'*.jpg;*.bmp;*.png'},titlestr);
[filepath,filename,ext]=fileparts(file);
startimg=imread(file);
sobel_img=edge(imadjust(rgb2gray(startimg),stretchlim(rgb2gray(startimg)),[]),'sobel');
sobel_inv=(sobel_img-1)*-1;
sobel_fuse=imfuse(startimg,sobel_inv,'blend');
sobel_fuse2=imfuse(imadjust(rgb2gray(startimg),stretchlim(rgb2gray(startimg)),[]),sobel_inv,'blend');
montage=imfuse(sobel_fuse,sobel_fuse2,'montage');
figure('Name','Sobel-Filtered RGB Image')
imshow(montage)
titlestring=sprintf('Image %s: RGB to Mono, Contrast Stretch, Sobel Filter, Overlay',file);
title(titlestring)
prompt = 'Save? (boolean): ';
save=input(prompt);
if save ~= 0
    savetitle=sprintf('%s_sobel%s',filename,ext);
    imwrite(sobel_fuse,savetitle);
end
putvar(sobel_img,sobel_fuse)
end

